For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
      • GETGet all e-invoicing connections
      • POSTCreate an e-invoicing connection
      • GETGet an e-invoicing connection by ID
      • DELDelete an e-invoicing connection
      • PATCHUpdate an e-invoicing connection
      • POSTCreate an e-invoicing credential
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
E-invoicingE-invoicing connections

Create an e-invoicing credential

POST
/einvoicing_connections/:einvoicing_connection_id/network_credentials
POST
/v1/einvoicing_connections/:einvoicing_connection_id/network_credentials
$curl -X POST https://api.sandbox.monite.com/v1/einvoicing_connections/einvoicing_connection_id/network_credentials \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "network_credentials_identifier": "12345678",
> "network_credentials_schema": "DE:VAT"
>}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "einvoicing_connection_id": "einvoicing_connection_id",
6 "network_credentials_identifier": "12345678",
7 "network_credentials_schema": "DE:VAT"
8}
Was this page helpful?
Previous

Check if e-invoicing credentials exist in the network

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

einvoicing_connection_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
network_credentials_identifierstringRequired
Network participant identifier
network_credentials_schemaenumRequired
Network scheme identifier
Allowed values:

Response

Successful Response
idstringformat: "uuid"
ID of the credentials
created_atdatetime
Date of credential
updated_atdatetime
Last update of credential
einvoicing_connection_idstringformat: "uuid"
ID of the Einvoicing connection
network_credentials_identifierstring
Network participant identifier
network_credentials_schemaenum
Network scheme identifier
Allowed values:

Errors

400
Post Einvoicing Connections ID Network Credentials Request Bad Request Error
401
Post Einvoicing Connections ID Network Credentials Request Unauthorized Error
403
Post Einvoicing Connections ID Network Credentials Request Forbidden Error
404
Post Einvoicing Connections ID Network Credentials Request Not Found Error
409
Post Einvoicing Connections ID Network Credentials Request Conflict Error
422
Post Einvoicing Connections ID Network Credentials Request Unprocessable Entity Error
500
Post Einvoicing Connections ID Network Credentials Request Internal Server Error